### Method

# GtkSource GutterLines get_line_yrange

#### Declaration [src]

    void
    gtk_source_gutter_lines_get_line_yrange (
      GtkSourceGutterLines* lines,
      guint line,
      GtkSourceGutterRendererAlignmentMode mode,
      gint* y,
      gint* height
    )

#### Description [src]

Gets the Y range for a line based on `mode`.

The value for `y` is relative to the renderers widget coordinates.

#### Parameters

`line`

  Type: `guint`

  A line number starting from zero.

`mode`

  Type: `GtkSourceGutterRendererAlignmentMode`

  A `GtkSourceGutterRendererAlignmentMode`.

`y`

  Type: `gint*`

  A location for the Y position in widget coordinates.

  The argument will be set by the function.

`height`

  Type: `gint*`

  The line height based on `mode`.

  The argument will be set by the function.